import { SimpleLocalIntegration } from '../../core/index.js';
import { NumatoConfigFlow } from './numato.classes.configflow.js';
import { createNumatoDiscoveryDescriptor } from './numato.discovery.js';
import type { INumatoConfig } from './numato.types.js';
import { numatoDomain, numatoProfile } from './numato.types.js';

export class NumatoIntegration extends SimpleLocalIntegration<INumatoConfig> {
  public readonly domain = numatoDomain;
  public readonly discoveryDescriptor = createNumatoDiscoveryDescriptor();
  public readonly configFlow = new NumatoConfigFlow();

  constructor() {
    super(numatoProfile);
  }
}

export class HomeAssistantNumatoIntegration extends NumatoIntegration {}
